FUNCTION REPLAC(3)

NAME
boost::algorithm::replace_tail_copy - Replace tail algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/replace.hpp>
template<typename OutputIteratorT, typename Range1T, typename Range2T>
  OutputIteratorT
  replace_tail_copy(OutputIteratorT Output, const Range1T & Input, int N,
                    const Range2T & Format);
template<typename SequenceT, typename RangeT>
  SequenceT replace_tail_copy(const SequenceT & Input, int N,
                              const RangeT & Format);

DESCRIPTION

Replace the tail of the input with the given format string. The tail is a suffix of a string of given size. If the sequence is shorter then required, whole string is considered to be the tail. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

Parameters:

    Format
        A substitute string

    Input
        An input string

    N
        Length of the tail. For N>=0, at most N characters are extracted. For N<0, size(Input)-|N| characters are extracted.

    Output
        An output iterator to which the result will be copied

Returns:
    An output iterator pointing just after the last inserted character or a modified copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee